MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027671Open CASCADE[OCCT] OCCT:VISpublic2016-07-11 09:522016-12-09 16:38
Reporterssv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027671: Coding - basic IVtk tools do not allow easy sub-classing
DescriptionClasses like IVtkOCC_Shape and IVtkTools_ShapeDataSource can be used as-is, or subclassed for fine tuning. If the latter is preferred, then compilation and linker errors may appear (at application side) due to the following minor issues:

- Standard_EXPORT macro is missing in IVtkOCC_Shape (see methods GetSubShapeId()),
- Members of IVtkTools_ShapeDataSource are declared as private instead of being protected.

It is necessary to fix both issues to facilitate the integration of IVtk functionalities into custom applications.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0055801)
git (administrator)
2016-07-11 11:29

Branch CR27671 has been created by ssv.

SHA-1: 0266d495fa04a29530b6eb3112d5adb7ce33bdea


Detailed log of new commits:

Author: ssv
Date: Mon Jul 11 11:30:09 2016 +0300

    0027671: Basic IVtk tools do not allow easy sub-classing
    
    Add missing Standard_EXPORT, change private with protected in shape data source.
(0055802)
ssv (developer)
2016-07-11 11:30

Dear kgv, could you please review?
(0055804)
kgv (developer)
2016-07-11 12:01

Please check compilation, regression testing is not needed.
(0055822)
git (administrator)
2016-07-11 15:12

Branch CR27671 has been updated forcibly by mkv.

SHA-1: c40b150ff350cc11a1382e6b1f196325eafdc36d
(0055832)
mkv (tester)
2016-07-11 17:56

Dear BugMaster,
Branch CR27671 was rebased on current master of occt git-repository.
SHA-1: 3255d3a21602e0a9363c51691dc2b5bfbd98c363
(0055833)
mkv (tester)
2016-07-11 17:56

Dear BugMaster,
Branch CR27671 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: 3255d3a21602e0a9363c51691dc2b5bfbd98c363

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1157
(0055834)
mkv (tester)
2016-07-11 17:56

Dear BugMaster,
Branch CR27671 is TESTED.
(0056112)
git (administrator)
2016-07-22 10:44

Branch CR27671 has been deleted by inv.

SHA-1: c40b150ff350cc11a1382e6b1f196325eafdc36d

- Related Changesets
occt: master a7cc4fdd
Timestamp: 2016-07-11 08:30:09
Author: ssv
Committer: bugmaster
Details ] Diff ]
0027671: Basic IVtk tools do not allow easy sub-classing

Add missing Standard_EXPORT, change private with protected in shape data source.
mod - src/IVtkOCC/IVtkOCC_Shape.hxx Diff ] File ]
mod - src/IVtkTools/IVtkTools_ShapeDataSource.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-07-11 09:52 ssv New Issue
2016-07-11 09:52 ssv Assigned To => ssv
2016-07-11 09:53 ssv Status new => assigned
2016-07-11 11:29 git Note Added: 0055801
2016-07-11 11:30 ssv Assigned To ssv =>
2016-07-11 11:30 ssv Note Added: 0055802
2016-07-11 11:30 ssv Assigned To => kgv
2016-07-11 11:30 ssv Status assigned => resolved
2016-07-11 12:01 kgv Note Added: 0055804
2016-07-11 12:01 kgv Assigned To kgv => bugmaster
2016-07-11 12:01 kgv Severity minor => trivial
2016-07-11 12:01 kgv Status resolved => reviewed
2016-07-11 12:01 kgv Product Version => 7.0.0
2016-07-11 12:01 kgv Summary Basic IVtk tools do not allow easy sub-classing => Coding - basic IVtk tools do not allow easy sub-classing
2016-07-11 12:23 mkv Assigned To bugmaster => mkv
2016-07-11 12:23 mkv Test case number => Not needed
2016-07-11 15:12 git Note Added: 0055822
2016-07-11 17:56 mkv Note Added: 0055832
2016-07-11 17:56 mkv Note Added: 0055833
2016-07-11 17:56 mkv Note Added: 0055834
2016-07-11 17:56 mkv Assigned To mkv => bugmaster
2016-07-11 17:56 mkv Status reviewed => tested
2016-07-15 10:44 bugmaster Changeset attached => occt master a7cc4fdd
2016-07-15 10:44 bugmaster Status tested => verified
2016-07-15 10:44 bugmaster Resolution open => fixed
2016-07-22 10:44 git Note Added: 0056112
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker